Jump to content


Photo

Upgrade problems from 3.1.5 to 3.2.0 and 3.2.1

Upgrade

  • Please log in to reply
No replies to this topic

#1 devadip

devadip

    Newbie

  • Members
  • Pip
  • 1 posts

Posted 19 February 2017 - 06:05 PM

Dear community,

 

I've tried to upgrade from 3.1.5 to 3.2.0 but after executing the runpart1 command, I get this error:

 

Clearing cache.
Failed to create:
# returns null if the permitable is not a group.
            create function get_permitable_group_id(
                                _permitable_id int(11)
                            )
            returns int(11)
            begin
                declare result int(11);
 
                select id
                into   result
                from   _group
                where  _group.permitable_id = _permitable_id;
                return result;
            end;
An error occur during upgrade: SQLSTATE[HY000]: General error: 1418 This function has none of DETERMINISTIC, NO SQL, or READS SQL DATA in its declaration and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)
 
 

Seems to be some DB problem. Anybody else with the same experience? Is there a way to avoid the problem?

 

Thanks

 

Adrian

 

 

 

 

 







Also tagged with one or more of these keywords: Upgrade

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users